/*
* demo.css
* File include item demo only specific css only
******************************************************************************/

.menu .app-brand.demo {
  height: 64px;
  margin-top: 12px;
}

.app-brand-logo.demo svg {
  width: 22px;
  height: 38px;
}

.app-brand-text.demo {
  font-size: 1.75rem;
  letter-spacing: -0.5px;
  text-transform: lowercase;
}

/* ! For .layout-navbar-fixed added fix padding top tpo .layout-page */
/* Detached navbar */
.layout-navbar-fixed .layout-wrapper:not(.layout-horizontal):not(.layout-without-menu) .layout-page {
  padding-top: 76px !important;
}
/* Default navbar */
.layout-navbar-fixed .layout-wrapper:not(.layout-without-menu) .layout-page {
  padding-top: 64px !important;
}

/* Navbar page z-index issue solution */
.content-wrapper .navbar {
  z-index: auto;
}

/*
* Content
******************************************************************************/

.demo-blocks > * {
  display: block !important;
}

.demo-inline-spacing > * {
  margin: 1rem 0.375rem 0 0 !important;
}

/* ? .demo-vertical-spacing class is used to have vertical margins between elements. To remove margin-top from the first-child, use .demo-only-element class with .demo-vertical-spacing class. For example, we have used this class in forms-input-groups.html file. */
.demo-vertical-spacing > * {
  margin-top: 1rem !important;
  margin-bottom: 0 !important;
}
.demo-vertical-spacing.demo-only-element > :first-child {
  margin-top: 0 !important;
}

.demo-vertical-spacing-lg > * {
  margin-top: 1.875rem !important;
  margin-bottom: 0 !important;
}
.demo-vertical-spacing-lg.demo-only-element > :first-child {
  margin-top: 0 !important;
}

.demo-vertical-spacing-xl > * {
  margin-top: 5rem !important;
  margin-bottom: 0 !important;
}
.demo-vertical-spacing-xl.demo-only-element > :first-child {
  margin-top: 0 !important;
}

.rtl-only {
  display: none !important;
  text-align: left !important;
  direction: ltr !important;
}

[dir='rtl'] .rtl-only {
  display: block !important;
}

/*
* Layout demo
******************************************************************************/

.layout-demo-wrapper {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
  -ms-flex-direction: column;
  flex-direction: column;
  margin-top: 1rem;
}
.layout-demo-placeholder img {
  width: 900px;
}
.layout-demo-info {
  text-align: center;
  margin-top: 1rem;
}









.fontAwesome-font{
  font-family: 'Public Sans';
}

.overflow-x-auto{
  overflow-x: auto;
}

/* legend.scheduler-border { */
  /* Or auto */
  /* width:inherit;  */
  /* To give a bit of padding on the left and right */
  /* padding:0 10px;  */
  /* border-bottom:none; */
/* } */

fieldset {
  border: solid 1px gray;
  border-radius: 0.375rem;
  padding: 1.5rem !important;
}
legend {
  float: none;
  width: inherit;
  padding: 0 5px;
  /* margin-bottom: 1rem; */
}


.dropzone {
  width: 100%;
  position: relative;
  padding: 1.5rem;
  cursor: pointer;
  border-radius: 0.5rem;
  border: 2px dashed #d9dee3 !important;
}

.dz-message {
  font-size: 1.625rem;
}
.dz-message {
  margin: 5rem 0;
  font-weight: 500;
  text-align: center;
}
.light-style .dz-message {
  color: #566a7f;
}
.light-style .dz-message .note {
  color: #697a8d;
}
.dz-message .note {
  font-weight: 400;
  display: block;
  margin-top: 0.625rem;
}
.dz-message .note {
  font-size: .9375rem;
}




/* Style for the container holding the image and delete icon */
.image-property-container {
  position: relative;
  display: inline-block;
}

/* Style for the delete icon (X) */
.delete-img-button {
  position: absolute;
  top: -10px; /* Adjust the top position to your preference */
  right: -10px; /* Adjust the right position to your preference */
  background-color: red; /* Background color of the delete icon */
  color: white; /* Text color of the delete icon */
  font-size: 18px; /* Adjust the font size as needed */
  border: none;
  padding: 5px 10px;
  border-radius: 50%; /* Makes it a circular button */
  cursor: pointer;
}

/* Hover effect for the delete icon */
.delete-img-button:hover {
  background-color: darkred; /* Change background color on hover */
}


.swal2-container {
  z-index: 50000 !important;
}


div:where(.swal2-container) {
  z-index: 50000 !important;
}



/* Extra-small and small screens */
@media (max-width: 575.98px) {
  .removePaddingInSM {
      padding-left: 0 !important;
      padding-right: 0 !important;
  }
}

/* Extra-small and small screens */
/* @media (max-width: 575.98px) {
  .container-xxl {
      padding-left: 0;
      padding-right: 0;
  }
} */

/* Medium screens and larger */
/* @media (min-width: 576px) {
  .container-xxl {
    padding-left: 1.625rem;
    padding-right: 1.625rem;
  }
} */

@media (min-width: 1199.98px) {

  #layout-navbar{
    display: none !important;
  }

}

.fi {
  background-size: contain;
  background-position: 50%;
  background-repeat: no-repeat;
  position: relative;
  display: inline-block;
  width: 1.33333333em;
  height: 1em;
  line-height: 1em;
}

.fi:before {
  content: "\00a0";
}

